% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/TargetingModels.R
\name{extendMutabilityMatrix}
\alias{extendMutabilityMatrix}
\title{Extends a mutability model to include Ns.}
\usage{
extendMutabilityMatrix(mutabilityModel)
}
\arguments{
\item{mutabilityModel}{vector of 5-mer mutability rates built by
                           \code{\link{createMutabilityMatrix}}.}
}
\value{
A 3125 vector of normalized mutability rates for each 5-mer motif with
          names defining the 5-mer nucleotide sequence.
}
\description{
\code{extendMutabilityMatrix} extends a 5-mer nucleotide mutability model
with 5-mers that include Ns by averaging over all corresponding 5-mers without Ns.
}
\examples{
# Load example data
library(alakazam)
file <- system.file("extdata", "Influenza.tab", package="shm")
db <- readChangeoDb(file)

# Create model using all mutations
sub_model <- createSubstitutionMatrix(db)
mut_model <- createMutabilityMatrix(db, sub_model)
ext_model <- extendMutabilityMatrix(mut_model)
}
\seealso{
Other targeting model functions: \code{\link{calcTargetingDistance}};
  \code{\link{createMutabilityMatrix}};
  \code{\link{createSubstitutionMatrix}};
  \code{\link{createTargetingMatrix}};
  \code{\link{createTargetingModel}};
  \code{\link{extendSubstitutionMatrix}};
  \code{\link{plotMutability}};
  \code{\link{rescaleMutability}};
  \code{\link{writeTargetingDistance}}
}

