% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/TargetingModels.R
\name{rescaleMutability}
\alias{rescaleMutability}
\title{Rescales mutability probabilities from a TargetingModel}
\usage{
rescaleMutability(model, mean = 1)
}
\arguments{
\item{model}{\link{TargetingModel} object with mutation likelihood information.}

\item{mean}{the mean value for the rescaled mutability scores.}
}
\value{
A named vector of mutability scores for each 5-mer motif with mean
          equal to \code{mean}.
}
\description{
\code{rescaleMutability} renormalizes the mutability probabilities
in a TargetingModel model and returns a rescaled matrix of mutability scores.
}
\examples{
# Load example data
library(alakazam)
file <- system.file("extdata", "Influenza.tab", package="shm")
db <- readChangeoDb(file)

# Create model and get targeting distance
model <- createTargetingModel(db)
mut <- rescaleMutability(model)
}
\seealso{
Takes as input a \link{TargetingModel} object.

Other targeting model functions: \code{\link{calcTargetingDistance}};
  \code{\link{createMutabilityMatrix}};
  \code{\link{createSubstitutionMatrix}};
  \code{\link{createTargetingMatrix}};
  \code{\link{createTargetingModel}};
  \code{\link{extendMutabilityMatrix}};
  \code{\link{extendSubstitutionMatrix}};
  \code{\link{plotMutability}};
  \code{\link{writeTargetingDistance}}
}

